Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class CreateAutoScalingGroupRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.autoscaling.model.CreateAutoScalingGroupRequest

    public class CreateAutoScalingGroupRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateAutoScalingGroup operation`.

Creates a new Auto Scaling group with the specified name. Once the creation request is completed, the AutoScalingGroup is ready to be used in other calls.

NOTE: The client must not have already used up their entire quota of AutoScaling groups in order for this call to be successful.

See Also:
  `AmazonAutoScaling.createAutoScalingGroup(CreateAutoScalingGroupRequest)`

Constructor Summary
`CreateAutoScalingGroupRequest()`

Method Summary
`String` | `getAutoScalingGroupName()` The name of the Auto Scaling group.
`List<String>` | `getAvailabilityZones()` A list of availability zones for the Auto Scaling group.
`Integer` | `getCooldown()` The amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities can start.
`String` | `getLaunchConfigurationName()` The name of the launch configuration to use with the Auto Scaling group.
`List<String>` | `getLoadBalancerNames()` A list of LoadBalancers to use.
`Integer` | `getMaxSize()` The maximum size of the Auto Scaling group.
`Integer` | `getMinSize()` The minimum size of the Auto Scaling group.
`void` | `setAutoScalingGroupName(String autoScalingGroupName)` The name of the Auto Scaling group.
`void` | `setAvailabilityZones(Collection<String> availabilityZones)` A list of availability zones for the Auto Scaling group.
`void` | `setCooldown(Integer cooldown)` The amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities can start.
`void` | `setLaunchConfigurationName(String launchConfigurationName)` The name of the launch configuration to use with the Auto Scaling group.
`void` | `setLoadBalancerNames(Collection<String> loadBalancerNames)` A list of LoadBalancers to use.
`void` | `setMaxSize(Integer maxSize)` The maximum size of the Auto Scaling group.
`void` | `setMinSize(Integer minSize)` The minimum size of the Auto Scaling group.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateAutoScalingGroupRequest` | `withAutoScalingGroupName(String autoScalingGroupName)` The name of the Auto Scaling group.
`CreateAutoScalingGroupRequest` | `withAvailabilityZones(Collection<String> availabilityZones)` A list of availability zones for the Auto Scaling group.
`CreateAutoScalingGroupRequest` | `withAvailabilityZones(String... availabilityZones)` A list of availability zones for the Auto Scaling group.
`CreateAutoScalingGroupRequest` | `withCooldown(Integer cooldown)` The amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities can start.
`CreateAutoScalingGroupRequest` | `withLaunchConfigurationName(String launchConfigurationName)` The name of the launch configuration to use with the Auto Scaling group.
`CreateAutoScalingGroupRequest` | `withLoadBalancerNames(Collection<String> loadBalancerNames)` A list of LoadBalancers to use.
`CreateAutoScalingGroupRequest` | `withLoadBalancerNames(String... loadBalancerNames)` A list of LoadBalancers to use.
`CreateAutoScalingGroupRequest` | `withMaxSize(Integer maxSize)` The maximum size of the Auto Scaling group.
`CreateAutoScalingGroupRequest` | `withMinSize(Integer minSize)` The minimum size of the Auto Scaling group.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateAutoScalingGroupRequest

    public CreateAutoScalingGroupRequest()

Method Detail

### getAutoScalingGroupName

    public String getAutoScalingGroupName()

  The name of the Auto Scaling group.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The name of the Auto Scaling group.

### setAutoScalingGroupName

    public void setAutoScalingGroupName(String autoScalingGroupName)

  The name of the Auto Scaling group.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `autoScalingGroupName` - The name of the Auto Scaling group.

### withAutoScalingGroupName

    public CreateAutoScalingGroupRequest withAutoScalingGroupName(String autoScalingGroupName)

  The name of the Auto Scaling group.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `autoScalingGroupName` - The name of the Auto Scaling group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLaunchConfigurationName

    public String getLaunchConfigurationName()

  The name of the launch configuration to use with the Auto Scaling group.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The name of the launch configuration to use with the Auto Scaling group.

### setLaunchConfigurationName

    public void setLaunchConfigurationName(String launchConfigurationName)

  The name of the launch configuration to use with the Auto Scaling group.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `launchConfigurationName` - The name of the launch configuration to use with the Auto Scaling group.

### withLaunchConfigurationName

    public CreateAutoScalingGroupRequest withLaunchConfigurationName(String launchConfigurationName)

  The name of the launch configuration to use with the Auto Scaling group.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `launchConfigurationName` - The name of the launch configuration to use with the Auto Scaling group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMinSize

    public Integer getMinSize()

  The minimum size of the Auto Scaling group.

  Returns:
    The minimum size of the Auto Scaling group.

### setMinSize

    public void setMinSize(Integer minSize)

  The minimum size of the Auto Scaling group.

  Parameters:
    `minSize` - The minimum size of the Auto Scaling group.

### withMinSize

    public CreateAutoScalingGroupRequest withMinSize(Integer minSize)

  The minimum size of the Auto Scaling group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `minSize` - The minimum size of the Auto Scaling group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaxSize

    public Integer getMaxSize()

  The maximum size of the Auto Scaling group.

  Returns:
    The maximum size of the Auto Scaling group.

### setMaxSize

    public void setMaxSize(Integer maxSize)

  The maximum size of the Auto Scaling group.

  Parameters:
    `maxSize` - The maximum size of the Auto Scaling group.

### withMaxSize

    public CreateAutoScalingGroupRequest withMaxSize(Integer maxSize)

  The maximum size of the Auto Scaling group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `maxSize` - The maximum size of the Auto Scaling group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCooldown

    public Integer getCooldown()

  The amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities can start.

  Returns:
    The amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities can start.

### setCooldown

    public void setCooldown(Integer cooldown)

  The amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities can start.

  Parameters:
    `cooldown` - The amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities can start.

### withCooldown

    public CreateAutoScalingGroupRequest withCooldown(Integer cooldown)

  The amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities can start.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cooldown` - The amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities can start.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZones

    public List<String> getAvailabilityZones()

  A list of availability zones for the Auto Scaling group.

  Constraints:
  Length: 1 -

  Returns:
    A list of availability zones for the Auto Scaling group.

### setAvailabilityZones

    public void setAvailabilityZones(Collection<String> availabilityZones)

  A list of availability zones for the Auto Scaling group.

  Constraints:
  Length: 1 -

  Parameters:
    `availabilityZones` - A list of availability zones for the Auto Scaling group.

### withAvailabilityZones

    public CreateAutoScalingGroupRequest withAvailabilityZones(String... availabilityZones)

  A list of availability zones for the Auto Scaling group.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 -

  Parameters:
    `availabilityZones` - A list of availability zones for the Auto Scaling group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAvailabilityZones

    public CreateAutoScalingGroupRequest withAvailabilityZones(Collection<String> availabilityZones)

  A list of availability zones for the Auto Scaling group.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 -

  Parameters:
    `availabilityZones` - A list of availability zones for the Auto Scaling group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLoadBalancerNames

    public List<String> getLoadBalancerNames()

  A list of LoadBalancers to use.

  Returns:
    A list of LoadBalancers to use.

### setLoadBalancerNames

    public void setLoadBalancerNames(Collection<String> loadBalancerNames)

  A list of LoadBalancers to use.

  Parameters:
    `loadBalancerNames` - A list of LoadBalancers to use.

### withLoadBalancerNames

    public CreateAutoScalingGroupRequest withLoadBalancerNames(String... loadBalancerNames)

  A list of LoadBalancers to use.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerNames` - A list of LoadBalancers to use.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withLoadBalancerNames

    public CreateAutoScalingGroupRequest withLoadBalancerNames(Collection<String> loadBalancerNames)

  A list of LoadBalancers to use.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerNames` - A list of LoadBalancers to use.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.